{-# LANGUAGE CPP #-}
{-# LANGUAGE NoRebindableSyntax #-}
{-# OPTIONS_GHC -fno-warn-missing-import-lists #-}
module Paths_pubMedCrawler (
    version,
    getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir,
    getDataFileName, getSysconfDir
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
import Prelude

#if defined(VERSION_base)

#if MIN_VERSION_base(4,0,0)
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#else
catchIO :: IO a -> (Exception.Exception -> IO a) -> IO a
#endif

#else
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#endif
catchIO = Exception.catch

version :: Version
version = Version [0,1,0,0] []
bindir, libdir, dynlibdir, datadir, libexecdir, sysconfdir :: FilePath

bindir     = "/home/mudada/Code/Haskell/crawler/pubMed/.stack-work/install/x86_64-linux/lts-13.13/8.6.4/bin"
libdir     = "/home/mudada/Code/Haskell/crawler/pubMed/.stack-work/install/x86_64-linux/lts-13.13/8.6.4/lib/x86_64-linux-ghc-8.6.4/pubMedCrawler-0.1.0.0-Auzr9R523ny1EhzrTNL0jn-pubMedCrawler-exe"
dynlibdir  = "/home/mudada/Code/Haskell/crawler/pubMed/.stack-work/install/x86_64-linux/lts-13.13/8.6.4/lib/x86_64-linux-ghc-8.6.4"
datadir    = "/home/mudada/Code/Haskell/crawler/pubMed/.stack-work/install/x86_64-linux/lts-13.13/8.6.4/share/x86_64-linux-ghc-8.6.4/pubMedCrawler-0.1.0.0"
libexecdir = "/home/mudada/Code/Haskell/crawler/pubMed/.stack-work/install/x86_64-linux/lts-13.13/8.6.4/libexec/x86_64-linux-ghc-8.6.4/pubMedCrawler-0.1.0.0"
sysconfdir = "/home/mudada/Code/Haskell/crawler/pubMed/.stack-work/install/x86_64-linux/lts-13.13/8.6.4/etc"

getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir, getSysconfDir :: IO FilePath
getBinDir = catchIO (getEnv "pubMedCrawler_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "pubMedCrawler_libdir") (\_ -> return libdir)
getDynLibDir = catchIO (getEnv "pubMedCrawler_dynlibdir") (\_ -> return dynlibdir)
getDataDir = catchIO (getEnv "pubMedCrawler_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "pubMedCrawler_libexecdir") (\_ -> return libexecdir)
getSysconfDir = catchIO (getEnv "pubMedCrawler_sysconfdir") (\_ -> return sysconfdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
